diff --git a/linux/Platform.c b/linux/Platform.c
index 83c62d32e..da2ae6064 100644
--- a/linux/Platform.c
+++ b/linux/Platform.c
@@ -283,8 +283,8 @@ void Platform_setMemoryValues(Meter* this) {
    const ProcessList* pl = this->pl;
    const LinuxProcessList* lpl = (const LinuxProcessList*) pl;
 
-   this->total     = pl->totalMem;
-   this->values[0] = pl->usedMem;
+   this->total     = pl->totalMem > lpl->totalHugePageMem ? pl->totalMem - lpl->totalHugePageMem : pl->totalMem;
+   this->values[0] = pl->usedMem > lpl->totalHugePageMem ? pl->usedMem - lpl->totalHugePageMem : pl->usedMem;
    this->values[1] = pl->buffersMem;
    this->values[2] = pl->cachedMem;
    this->values[3] = pl->availableMem;
